MyGUI::FlowDirection Struct Reference

`#include <MyGUI_FlowDirection.h>`

## Public Types

enum | Enum { LeftToRight , RightToLeft , TopToBottom , BottomToTop , MAX }

## Public Member Functions

| FlowDirection (Enum _value=LeftToRight)
bool | isHorizontal () const
bool | isVertical () const
std::string_view | print () const
int | getValue () const

## Static Public Member Functions

static FlowDirection | parse (std::string_view _value)

## Friends

bool | operator== (FlowDirection const &a, FlowDirection const &b)
bool | operator!= (FlowDirection const &a, FlowDirection const &b)
std::ostream & | operator<< (std::ostream &_stream, const FlowDirection &_value)
std::istream & | operator>> (std::istream &_stream, FlowDirection &_value)

## Detailed Description

Definition at line 18 of file MyGUI_FlowDirection.h.

## Member Enumeration Documentation

## Enum

enum MyGUI::FlowDirection::Enum

Enumerator
LeftToRight |
RightToLeft |
TopToBottom |
BottomToTop |
MAX |

Definition at line 20 of file MyGUI_FlowDirection.h.

## Constructor & Destructor Documentation

## FlowDirection()

MyGUI::FlowDirection::FlowDirection | ( | Enum | _value = LeftToRight | ) |

inline

Definition at line 29 of file MyGUI_FlowDirection.h.

## Member Function Documentation

## getValue()

int MyGUI::FlowDirection::getValue | ( |  | ) | const

inline

Definition at line 88 of file MyGUI_FlowDirection.h.

## isHorizontal()

bool MyGUI::FlowDirection::isHorizontal | ( |  | ) | const

inline

Definition at line 49 of file MyGUI_FlowDirection.h.

## isVertical()

bool MyGUI::FlowDirection::isVertical | ( |  | ) | const

inline

Definition at line 54 of file MyGUI_FlowDirection.h.

## parse()

FlowDirection MyGUI::FlowDirection::parse | ( | std::string_view | _value | ) |

inline static

Definition at line 34 of file MyGUI_FlowDirection.h.

## print()

std::string_view MyGUI::FlowDirection::print | ( |  | ) | const

inline

Definition at line 83 of file MyGUI_FlowDirection.h.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | FlowDirection const & | a,
|  | FlowDirection const & | b )

friend

Definition at line 64 of file MyGUI_FlowDirection.h.

## operator<<

std::ostream & operator<< | ( | std::ostream & | _stream,
|  | const FlowDirection & | _value )

friend

Definition at line 69 of file MyGUI_FlowDirection.h.

## operator==

bool operator== | ( | FlowDirection const & | a,
|  | FlowDirection const & | b )

friend

Definition at line 59 of file MyGUI_FlowDirection.h.

## operator>>

std::istream & operator>> | ( | std::istream & | _stream,
|  | FlowDirection & | _value )

friend

Definition at line 75 of file MyGUI_FlowDirection.h.

The documentation for this struct was generated from the following file:

- MyGUI_FlowDirection.h